286 posts
  • Bought between 1 and 9 items
  • Envato Studio (Microlancer) Beta Tester
  • Exclusive Author
  • Has been a member for 5-6 years
  • Referred between 1 and 9 users
  • Sold between 1 000 and 5 000 dollars
  • Turkey
AkinGn says

I installed Theme Check plugin but when I try to reach it via clicking the “Theme Check” under the Appearance at left bar in wordpress admin panel, I see an error message says:

Parse error: parse error in …wp-content\plugins\theme-check\checkbase.php on line 11

and when I open that file i see:

// interface that all checks should implement
interface themecheck //line 11
{
    // should return true for good/okay/acceptable, false for bad/not-okay/unacceptable
    public function check( $php_files, $css_files, $other_files );

    // should return an array of strings explaining any problems found
    public function getError();
}

Any ideas why I get this error and how I can fix it?

1148 posts
  • Referred between 1 and 9 users
  • Sold between 1 000 and 5 000 dollars
  • Has been a member for 4-5 years
  • Bought between 10 and 49 items
  • Exclusive Author
  • Envato Studio (Microlancer) Beta Tester
  • United States
fillerspace says

Are you using php 4?

4320 posts ThemeForest Reviewer
  • Envato Staff
  • Reviewer
  • Community Moderator
  • Repeatedly helped protect Envato Market against copyright violations
  • Venezuela
  • Has been a member for 5-6 years
  • Envato Studio (Microlancer) Beta Tester
  • Sold between 10 000 and 50 000 dollars
  • Exclusive Author
+9 more
Ivor Reviewer says

Open up wp-config.php and paste this

define('WP_DEBUG', true);
your theme has a PHP error somewhere.

And use this plugin – http://pross.org.uk/plugins/debogger/

286 posts
  • Bought between 1 and 9 items
  • Envato Studio (Microlancer) Beta Tester
  • Exclusive Author
  • Has been a member for 5-6 years
  • Referred between 1 and 9 users
  • Sold between 1 000 and 5 000 dollars
  • Turkey
AkinGn says

Are you using php 4?

How can I view the version of php? (I’m testing it locally right now on easyPHP 1.8.0.1 since it’s the only version that works without any problems).

Open up wp-config.php and paste this

define(‘WP_DEBUG’, true);

your theme has a PHP error somewhere.

And use this plugin – http://pross.org.uk/plugins/debogger/

Thanks Ivor, debogger didn’t work either and it gave another parse error:

Plugin could not be activated because it triggered a fatal error.

Parse error: parse error in …wordpress\wp-content\plugins\debogger.0.71\debog.php on line 255

Then I added define('WP_DEBUG', true); to wp-config.php under the lines:

 */
define('AUTH_KEY', 'put your unique phrase here');
define('SECURE_AUTH_KEY', 'put your unique phrase here');
define('LOGGED_IN_KEY', 'put your unique phrase here');
define('NONCE_KEY', 'put your unique phrase here');
define('WP_DEBUG', true);
/**#@-*/

and the errors I faced @ admin panel:

Notice: automatic_feed_links is deprecated since version 3.0! Use add_theme_support( ‘automatic-feed-links’ ) instead. in …wordpress\wp-includes\functions.php on line 3237

Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in …wordpress\wp-includes\functions.php on line 3321

Notice: Undefined index: page in …wordpress\wp-content\themes\theme-name\functions.php on line 848

How can I fix those when it says there’s an error in wp core files?? I guess that’s because there’s an error @ my file(s) and when I open my theme’s functions.php at the line 848 (which error points) I see:

if ( $_GET['page'] == basename(__FILE__) ) {

please somebody can tell me what on earth is wrong here?

1148 posts
  • Referred between 1 and 9 users
  • Sold between 1 000 and 5 000 dollars
  • Has been a member for 4-5 years
  • Bought between 10 and 49 items
  • Exclusive Author
  • Envato Studio (Microlancer) Beta Tester
  • United States
fillerspace says


Are you using php 4?

How can I view the version of php? (I’m testing it locally right now on easyPHP 1.8.0.1 since it’s the only version that works without any problems).

create a new PHP file and put this in it:

phpinfo();

Then view it in a browser, and you’ll see lots of info about your PHP installation

286 posts
  • Bought between 1 and 9 items
  • Envato Studio (Microlancer) Beta Tester
  • Exclusive Author
  • Has been a member for 5-6 years
  • Referred between 1 and 9 users
  • Sold between 1 000 and 5 000 dollars
  • Turkey
AkinGn says

I got it, thanks fillerspace. it says PHP Version 4.3.10. so your guess is right :)

btw I managed to get theme check plugin working not at local host but online. and it does a pretty good job but only a few image paths it recommends to be changed (bloginfo('template_url')) can cause problems at some of the pages (the page cannot reach the images when I change the path to what it suggests (it was something like get_template_directory_uri() I guess)) so I can’t do all the changes it recommends but most of them was helpful. Thanks for your help buddies ;)

by
by
by
by
by
by